Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.async
Class ResourceManager

`java.lang.Object
oracle.xml.async.ResourceManager`

      public class ResourceManager

extends java.lang.Object

Simple semaphore that maintains access to fixed number of logical resources.

Constructor Summary
`ResourceManager(int i)` The ResourceManager constructor

Method Summary
`boolean` `activeFound()` Checks if any of the logical resources being managed are in active use
`void` `getResource()` If the number of resources available for use is nonzero, the method decreases the number of resources by one.
`void` `releaseResource()` Releases a resource.
`void` `sleep(int i)` Allows usage of Thread.sleep() without try/catch

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceManager

    public ResourceManager(int i)

  The ResourceManager constructor
  Parameters:
    ``i`` - - the number of resources to manage

Method Detail

### getResource

    public void getResource()

  If the number of resources available for use is nonzero, the method decreases the number of resources by one. Otherwise, it waits until a resource is released & it becomes available for use.

### releaseResource

    public void releaseResource()

  Releases a resource. When this method is called, the number of resources avialable is increased by one.

### activeFound

    public boolean activeFound()

  Checks if any of the logical resources being managed are in active use
  Returns:
    `true` - if one or more resource is in use `false` - if none of the resources are in use

### sleep

    public void sleep(int i)

  Allows usage of Thread.sleep() without try/catch

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.